package com.shanghaichengdi.controller;

import com.shanghaichengdi.common.result.Result;
import com.shanghaichengdi.dao.entity.*;
import com.shanghaichengdi.service.IBoatPollutionWarningService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.List;

/**
 * @ClassName PollutionWarningController
 * @Author Tevin
 * @DATE 2024/12/24 11:02
 * @Description TODO
 **/
@Slf4j
@RestController
@RequestMapping("/pollution-warning")
public class PollutionWarningController {
    @Resource
    private IBoatPollutionWarningService boatPollutionWarningService;

    @PostMapping( "shortBargeHandle")
    public Result<Void> handleShortBarge() {
        boatPollutionWarningService.handleShortBarge();
        return Result.success();
    }

    @PostMapping("OrdinaryShipHandle")
    public Result<Void> handleOrdinaryShip() {
        boatPollutionWarningService.handleOrdinaryShip();
        return Result.success();
    }
}
